import { Route } from '@angular/router';

import { ListComponent } from 'app/modules/admin/member/user/components/list.component';
import { ViewComponent } from 'app/modules/admin/member/user/components/view.component';
import { ListMemberClassesResolver } from './resolvers/member-class.resolver';
import { ListMemberLevelsResolver } from './resolvers/member-level.resolver';

import { MemberResolver, ListMemberResolver } from './resolvers/user.resolver';

export const userRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      listmembers: ListMemberResolver,
      listMemberClasses: ListMemberClassesResolver,
      listMemberLevels: ListMemberLevelsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      member: MemberResolver,
      listMemberLevels: ListMemberLevelsResolver,
    },
  },
];
